Bug 11426 - XFree86 4.0-0.8: M-d doesn't delete forward in Xaw text Widget
XFree86 4.0-0.8: M-d doesn't delete forward in Xaw text Widget
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-15 19:25 EDT by Jonathan Kamens
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-15 11:59:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2000-05-15 19:25:47 EDT
In XFree86 3.3.6, M-d in an Xaw text widget (e.g., the edit widget of
"xedit") deletes a word forward as it should.  But this key binding no
longer works in xedit or any other Xaw text widget in XFree86 4.0-0.8.
Other Meta key bindings, e.g., M-DEL, M-b, M-f, work just fine.
Comment 1 Jonathan Kamens 2000-05-28 17:01:59 EDT
I found the problem.  In these lines in lib/Xaw/TextTr.c:

"~s m<Key>D:"		"kill-word(alnum)\n"
...
"~s m<Key>H:"		"backward-kill-word(alnum)\n"

The upper case 'D' and 'H' should be replaced with lower-case 'd' and 'h'.
Comment 2 Bernhard Rosenkraenzer 2000-06-15 11:59:18 EDT
Fixed in 4.0-0.21

Note You need to log in before you can comment on or make changes to this bug.